Bug 863888 - Search & Replace leaves editor field in incorrect visual state.
Search & Replace leaves editor field in incorrect visual state.
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 20:20 EDT by Carlos Munoz
Modified: 2012-11-07 01:18 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121012-0031)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:18:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-10-07 20:20:39 EDT
Description of problem:
After using Search & replace on a single entry, the altered editor field is left in scrollable state, with the text hidden from view.


Version-Release number of selected component (if applicable):
1.8-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1. Start a document translation via webtrans.
2. Pick a translated entry's text and head to 'Search & Replace' using the buttons on the left hand side of the editor screen.
3. Search for a word from the selected entry and replace with another.
4. Using the left hand side buttons, click on the Editor button and look for the modified entry again.
  
Actual results:
The text is replaced but is not visible. Scroll bars are visible, and upon performing an action (clicking or scrolling) on the editor field the scroll bars disappear and the editor returns to the expected state.

Expected results:
The editor text is replaced with the correct changes to the UI.

Additional info:
Upon further inspection, the same seems to happen with multi-line fields.
Comment 2 Patrick Huang 2012-10-09 22:24:34 EDT
committed into master:
https://github.com/zanata/zanata/commit/8cea70d1023f86814e0dba125ab1530806dcaca1
Comment 3 Ding-Yi Chen 2012-10-11 21:35:26 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121012-0031)
Comment 4 Sean Flanigan 2012-11-07 01:18:22 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.